CREATE TABLE Clientes_Dispositivos (
		Id_Dispositivo		INT IDENTITY(1,1) NOT NULL,
		Id_Cliente 			INT,
		Fecha				DATETIME,
		Fecha_Ult_Acc		DATETIME,
		Descripcion 		VARCHAR(1000),
		Token_Notif			VARCHAR(1000),
		Activo				TINYINT,
		CONSTRAINT PK_CDIS_PorId PRIMARY KEY CLUSTERED (Id_Dispositivo)
)
GO

CREATE INDEX IC_CDIS_Clientes ON Clientes_Dispositivos (Id_Cliente,Fecha)
GO

ALTER TABLE Clientes_Dispositivos  WITH NOCHECK ADD  CONSTRAINT FK_CDIS_Clientes FOREIGN KEY(Id_Cliente)
	REFERENCES Clientes (Id_Cliente)
GO


ALTER TABLE CRM_Contactos ADD Flag_Visto TINYINT
GO
